function string = ClearComment(string,FID)
%string = ClearComment(string,FID)
%This function reads a file until the line immediately after the comment
%The comment charector (%) must be the first charectar on the line
%This function is pretty "dumb", as it can not handle mid-line comments
%or EOF
%
%INPUT 
%string = not currently used
%FID = pointer to the file to be read
%
%OUTPUT
%string = the next line after the last comment
%
%Written by K. Steffen (ksteffen@unm.edu) at the University of New Mexico,
%Department of Earch and Planetary Science
%Copyright 2003 Kurt Steffen
%
%Last Modified June 17, 2003

test1 = 0;
while test1 == 0
	string = fgetl(FID);
    	if ~strncmp(string,'%',1);
        	test1 = 1;    
    	end
end